## simgear 2.4.0

=== simgear/hla/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# simgear/hla/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/simgear
pkgincludedir = $(includedir)/simgear
pkglibdir = $(libdir)/simgear
pkglibexecdir = $(libexecdir)/simgear
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
#am__append_1 = libsghla13.a
subdir = simgear/hla
DIST_COMMON = $(am__libsghla13_a_HEADERS_DIST) $(libsghla_a_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/simgear/simgear_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libsghla13_adir)" \
	"$(DESTDIR)$(libsghla_adir)"
LIBRARIES = $(lib_LIBRARIES)
libsghla_a_AR = $(AR) $(ARFLAGS)
libsghla_a_LIBADD =
am_libsghla_a_OBJECTS = RTIObjectClass.$(OBJEXT) \
	RTIObjectInstance.$(OBJEXT) RTIFederate.$(OBJEXT) \
	HLAArrayDataElement.$(OBJEXT) HLAArrayDataType.$(OBJEXT) \
	HLABasicDataElement.$(OBJEXT) HLABasicDataType.$(OBJEXT) \
	HLADataElement.$(OBJEXT) HLADataType.$(OBJEXT) \
	HLAEnumeratedDataElement.$(OBJEXT) \
	HLAEnumeratedDataType.$(OBJEXT) HLAFederate.$(OBJEXT) \
	HLAFixedRecordDataElement.$(OBJEXT) \
	HLAFixedRecordDataType.$(OBJEXT) HLAObjectClass.$(OBJEXT) \
	HLAObjectInstance.$(OBJEXT) HLAOMTXmlVisitor.$(OBJEXT) \
	HLAPropertyDataElement.$(OBJEXT) HLARawDataElement.$(OBJEXT) \
	HLAVariantDataElement.$(OBJEXT) HLAVariantDataType.$(OBJEXT)
libsghla_a_OBJECTS = $(am_libsghla_a_OBJECTS)
libsghla13_a_AR = $(AR) $(ARFLAGS)
libsghla13_a_LIBADD =
am__libsghla13_a_SOURCES_DIST = RTI13ObjectClass.cxx \
	RTI13ObjectInstance.cxx RTI13Federate.cxx HLA13Federate.cxx
#am_libsghla13_a_OBJECTS =  \
#	RTI13ObjectClass.$(OBJEXT) \
#	RTI13ObjectInstance.$(OBJEXT) \
#	RTI13Federate.$(OBJEXT) \
#	HLA13Federate.$(OBJEXT)
libsghla13_a_OBJECTS = $(am_libsghla13_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/simgear
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(libsghla_a_SOURCES) $(libsghla13_a_SOURCES)
DIST_SOURCES = $(libsghla_a_SOURCES) $(am__libsghla13_a_SOURCES_DIST)
am__libsghla13_a_HEADERS_DIST = HLA13Federate.hxx
HEADERS = $(libsghla13_a_HEADERS) $(libsghla_a_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run tar
AR = ar
ARFLAGS = cru
AUTOCONF = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run autoconf
AUTOHEADER = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run autoheader
AUTOMAKE = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_LDFLAGS = -L/usr/lib
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -D_REENTRANT
CONFIGURE_DEPENDENCIES = $(top_srcdir)/version
CPP = gcc -E
CPPFLAGS = -I/usr/local/FlightGear-devel/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -Wall -D_REENTRANT
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c -p
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -L/usr/local/FlightGear-devel/lib
LIBOBJS = 
LIBS = -lOpenThreads -lrt -lm 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run makeinfo
MIPSpro_DIRS = 
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = simgear
PACKAGE_BUGREPORT = http://www.flightgear.org
PACKAGE_NAME = SimGear
PACKAGE_STRING = SimGear 2.4.0
PACKAGE_TARNAME = simgear
PACKAGE_URL = 
PACKAGE_VERSION = 2.4.0
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 2.4.0
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/data1/Package/CleanGit/simgear/simgear/hla
abs_srcdir = /home/data1/Package/CleanGit/simgear/simgear/hla
abs_top_builddir = /home/data1/Package/CleanGit/simgear
abs_top_srcdir = /home/data1/Package/CleanGit/simgear
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
base_LIBS = -lrt -lm 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
compatibility_DIR = 
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include/simgear
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/data1/Package/CleanGit/simgear/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
network_LIBS = 
oldincludedir = /usr/include
openal_LIBS = -lalut -lopenal -lrt -lm  
opengl_LIBS = -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11 -lrt -lm 
openthreads_FRAMEWORK = 
pdfdir = ${docdir}
prefix = /usr/local/FlightGear-devel
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
svn_CPPFLAGS = -I/usr/include/subversion-1  -I/usr/include/apr-1  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE
svn_LIBS = -lsvn_ra-1 -lsvn_subr-1 -lsvn_client-1  -lapr-1
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
thread_LIBS = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
INCLUDES = -I$(top_srcdir)
lib_LIBRARIES = libsghla.a $(am__append_1)
libsghla_adir = ${prefix}/include/simgear/hla
libsghla_a_HEADERS = \
	RTIData.hxx \
	HLAArrayDataElement.hxx \
	HLAArrayDataType.hxx \
	HLABasicDataElement.hxx \
	HLABasicDataType.hxx \
	HLADataElement.hxx \
	HLADataType.hxx \
	HLADataTypeVisitor.hxx \
	HLAEnumeratedDataElement.hxx \
	HLAEnumeratedDataType.hxx \
	HLAFixedRecordDataElement.hxx \
	HLAFixedRecordDataType.hxx \
	HLAFederate.hxx \
	HLAInteractionClass.hxx \
	HLALocation.hxx \
	HLAObjectClass.hxx \
	HLAObjectInstance.hxx \
	HLAOMTXmlVisitor.hxx \
	HLAPropertyDataElement.hxx \
	HLARawDataElement.hxx \
	HLAVariantDataElement.hxx \
	HLAVariantDataType.hxx

libsghla_a_SOURCES = \
	RTIObjectClass.cxx \
	RTIObjectInstance.cxx \
	RTIFederate.cxx \
	HLAArrayDataElement.cxx \
	HLAArrayDataType.cxx \
	HLABasicDataElement.cxx \
	HLABasicDataType.cxx \
	HLADataElement.cxx \
	HLADataType.cxx \
	HLAEnumeratedDataElement.cxx \
	HLAEnumeratedDataType.cxx \
	HLAFederate.cxx \
	HLAFixedRecordDataElement.cxx \
	HLAFixedRecordDataType.cxx \
	HLAObjectClass.cxx \
	HLAObjectInstance.cxx \
	HLAOMTXmlVisitor.cxx \
	HLAPropertyDataElement.cxx \
	HLARawDataElement.cxx \
	HLAVariantDataElement.cxx \
	HLAVariantDataType.cxx

#libsghla13_adir = ${prefix}/include/simgear/hla
#libsghla13_a_HEADERS = \
#	HLA13Federate.hxx

#libsghla13_a_SOURCES = \
#	RTI13ObjectClass.cxx \
#	RTI13ObjectInstance.cxx \
#	RTI13Federate.cxx \
#	HLA13Federate.cxx

all: all-am

.SUFFIXES:
.SUFFIXES: .cxx .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu simgear/hla/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu simgear/hla/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libLIBRARIES: $(lib_LIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
	@$(POST_INSTALL)
	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  if test -f $$p; then \
	    $(am__strip_dir) \
	    echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
	    ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
	  else :; fi; \
	done

uninstall-libLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
