=== debian/changelog ===
simgear (2.6.0-3) unstable; urgency=low

  * Build-Depend on debhelper 8.1.3.
  * Changed debian/rules to give /usr/lib/$(DEB_HOST_MULTIARCH)
    instead of /usr/lib/* to dh_install, to maybe ease any backports.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 05 Aug 2012 18:01:16 +0200

simgear (2.6.0-2) unstable; urgency=low

  * Added multi-arch control fields to debian/control,
    and build-arch/build-indep rules to debian/rules.
  * While at it, also updated Standards-Version to 3.9.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jul 2012 12:56:08 +0200

simgear (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on cmake. No longer depend on autotools-dev.
  * Updated debian/rules for the new cmake-based build
    system used by upstream, and cleaned it up a bit.
  * Used upstream's new SIMGEAR_SHARED build option to
    build the shared libraries. Deleted the previous
    debian/sorules stuff.
  * Switched source package format to 3.0 (quilt).
  * Removed libplib-dev from the build-dependencies
    and simgear-dev dependencies.
  * Added the "Thanks" file to debian/docs.
  * Updated debian/watch, the mirror is now ibiblio.org.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Jul 2012 00:55:25 +0200

simgear (2.4.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * simgear/math/SGMisc.hxx: Include <cmath> for floor.  Closes: #667373.

 -- Matej Vela <vela@debian.org>  Sun, 20 May 2012 00:10:51 +0100

simgear (2.4.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": apply patch from Matthias Klose:
    add this-> qualifier in simgear/structure/SGExpression.hxx.
    (Closes: #667373)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 May 2012 16:45:34 +0200

simgear (2.4.0-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * simgear/structure/Singleton.hxx: Inline copy of
    boost/pool/detail/singleton.hpp by copy of that file, since it is no
    longer present in boost post 1.47.  Closes: #652788, #652775, #652797.

 -- Steve M. Robbins <smr@debian.org>  Sun, 29 Jan 2012 23:19:58 -0600

simgear (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on OpenSceneGraph 3.0, and the Subversion library.
  * Updated debian/deps.py and debian/sorules to also make it
    possible to add redundant dependencies, not just drop them.
    Because breaking circular dependencies cause some libraries
    to be underlinked, sometimes this must be compensated by
    overlinking others, to ensure FlightGear remains buildable.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 03 Sep 2011 21:41:04 +0200

simgear (2.0.0-4) unstable; urgency=low

  * Quickfix for subtle memory management bug in SimGear, apparently
    not discovered or fixed upstream yet. But it seems to me this
    thing must almost have been working by pure luck all this time...
    Closes: #636121.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 31 Jul 2011 22:43:05 +0200

simgear (2.0.0-3) unstable; urgency=low

  * Backported a bunch of upstream commits (from their git tree)
    for support of newer versions of OpenSceneGraph:
    1ca1f6a 9a96018 7308486 df6badf 956b440 bfe953c 49f418f
    Closes: #634088
  * Backported upstream commit for missing -ldl: d81545a
    Closes: #556348, #622059
  * Applied patch for SuperH support. Closes: #572428

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 21 Jul 2011 15:01:44 +0200

simgear (2.0.0-2) unstable; urgency=low

  * Fixed circular dependencies in debian/sorules that were dropped
    non-deterministically by GNU Make, causing subtle misbuilds.
    Closes: #609439.
  * Note to self: always remember to use pbuilder. Closes: #609511.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 11 Jan 2011 03:50:33 +0100

simgear (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add a couple of ${misc:Depends} to debian/control.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 08 Oct 2010 10:44:32 +0200

simgear (1.9.1-2) unstable; urgency=low

  * Updated debian/copyright.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 12 Jul 2009 22:21:32 +0200

simgear (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, sorules, and things for SimGear 1.9.1.
    This includes depending on plib 1.8.5. Closes: #528637, #530638.
  * debian/rules now supports parallellized builds, and building
    out of a svn checkout. It also cleans up a bit better.
  * Added Vcs-Browser and Vcs-Svn fields to debian/control.
  * Converted debian/watch to version 3. Closes: #529139.
  * Added patch to compile with g++ 4.4. Closes: #505019.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 14 Jun 2009 20:38:10 +0200

simgear (1.0.0-4) unstable; urgency=low

  * Made the pkg-fgfs-crew mailing list the official maintainer of the
    SimGear package, and myself a mere uploader.
  * Updated libglut3-dev build-dependency to freeglut3-dev.
    Closes: #394503.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jun 2008 12:20:45 +0200

simgear (1.0.0-3) unstable; urgency=low

  * Added Homepage field.
  * Upgraded Standards-Version to 3.7.3.
  * Changed the generated sonames to contain the full version of the
    package, rather than just the major version. (Upstream doesn't care
    about shared libraries and a stable ABI.)
  * Accordingly, renamed the shared-library package to simgear1.0.0,
    and make it conflict with simgear0.
  * Use debian/compat file instead of setting DH_COMPAT in debian/rules.
    Upgraded DH build-dependency and compatibility level to 5.
  * Removed usage of dh_testversion.
  * Use ${binary:Version} instead of ${Source-Version} in debian/control.
  * Set optimization level according to DEB_BUILD_OPTIONS.
  * Implemented a system to add dependency information to the generated
    .so files, so linking against one of them will pull in whatever else
    is needed from simgear or plib. Because of circular dependencies,
    this isn't perfect, but I think I at least achieved my goal of making

