=== debian/control ===
Source: simgear
Section: libs
Priority: extra
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>
Build-Depends: debhelper (>> 8.1.3),
 libx11-dev, libxext-dev, libxi-dev, libice-dev, libsm-dev, libxt-dev, libxmu-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | libgl-dev,
 libglu1-mesa-dev | libglu1-xorg-dev | xlibmesa-glu-dev | libglu-dev,
 freeglut3-dev | libglut3-dev, zlib1g-dev, libjpeg8-dev | libjpeg62-dev | libjpeg-dev,
 libboost-dev, libopenscenegraph-dev (>> 3.0.0),
 libopenal-dev, libalut-dev, libsvn-dev, cmake (>= 2.6)
Standards-Version: 3.9.3
Homepage: http://www.simgear.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fgfs/simgear/trunk/
Vcs-Svn: svn://svn.debian.org/pkg-fgfs/simgear/trunk/

Package: simgear2.6.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: simgear0
Description: Simulator Construction Gear -- shared libraries
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the shared libraries.

Package: simgear-dev
Architecture: any
Section: devel
Depends: simgear2.6.0 (= ${binary:Version}), libopenscenegraph-dev, libc6-dev, ${misc:Depends}
Description: Simulator Construction Gear -- development files
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the headers and static libraries.
